Package org.apache.lucene.analysis.payloads

# Class IdentityEncoder

java.lang.Object
org.apache.lucene.analysis.payloads.AbstractEncoder
org.apache.lucene.analysis.payloads.IdentityEncoder

All Implemented Interfaces:
  `PayloadEncoder`

public class IdentityEncoder extends AbstractEncoder
Does nothing other than convert the char array to a byte array using the specified encoding.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Charset`
`charset`

## Constructor Summary

Constructors
Constructor
Description
`IdentityEncoder()`
`IdentityEncoder(Charset charset)`

## Method Summary

Modifier and Type
Method
Description
`BytesRef`
`encode(char[] buffer, int offset, int length)`
Convert a char array to a `BytesRef`

### Methods inherited from class org.apache.lucene.analysis.payloads.AbstractEncoder

`encode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### charset

protected Charset charset

## Constructor Details

### IdentityEncoder

public IdentityEncoder()

### IdentityEncoder

public IdentityEncoder(Charset charset)

## Method Details

### encode

public BytesRef encode(char[] buffer, int offset, int length)
Description copied from interface: `PayloadEncoder`
Convert a char array to a `BytesRef`

Returns:
  encoded `BytesRef`